Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.examplev3
Class SendInform

    java.lang.Object
      |
      +--uk.co.westhawk.examplev3.SendInform

All Implemented Interfaces:
  java.util.Observer

public class SendInform
extends java.lang.Object
implements java.util.Observer

The SendInform application sends an inform using the InformPdu.

All parameters can be configured in the properties file. The value for sysUpTime and snmpTrapOID are hard coded.

The name of the properties file can be passed as first argument to this application. If there is no such argument, it will look for `SendInform.properties`. If this file does not exist, the application will use default parameters.

Note: The stack so far only supports sending an Inform. Receiving an Inform and replying with a Response is NOT yet supported!

Version:
  $Revision: 1.7 $ $Date: 2006/01/30 11:37:19 $
Author:
  Birgit Arkesteijn
See Also:
  `InformPdu`

Field Summary
`static java.lang.String` | `authenticationFailure`
`static java.lang.String` | `coldStart`
`static java.lang.String` | `egpNeighborLoss`
`static java.lang.String` | `linkDown`
`static java.lang.String` | `linkUp`
`static java.lang.String` | `snmpTrapOID` The authoritative identification of the notification currently being sent.
`static java.lang.String` | `sysContact`
`static java.lang.String` | `sysUpTime`
`static java.lang.String` | `warmStart`

Constructor Summary
`SendInform(java.lang.String propertiesFilename)` Constructor.

Method Summary
`void` | `init()`
`static void` | `main(java.lang.String[] args)`
`void` | `update(java.util.Observable obs, java.lang.Object ov)` Implementing the Observer interface.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sysUpTime

    public static final java.lang.String sysUpTime

See Also:
  Constant Field Values

### sysContact

    public static final java.lang.String sysContact

See Also:
  Constant Field Values

### snmpTrapOID

    public static final java.lang.String snmpTrapOID

  The authoritative identification of the notification currently being sent. This variable occurs as the second varbind in every SNMPv2-Trap-PDU and InformRequest-PDU.

  See Also:
    Constant Field Values

### coldStart

    public static final java.lang.String coldStart

See Also:
  Constant Field Values

### warmStart

    public static final java.lang.String warmStart

See Also:
  Constant Field Values

### linkDown

    public static final java.lang.String linkDown

See Also:
  Constant Field Values

### linkUp

    public static final java.lang.String linkUp

See Also:
  Constant Field Values

### authenticationFailure

    public static final java.lang.String authenticationFailure

See Also:
  Constant Field Values

### egpNeighborLoss

    public static final java.lang.String egpNeighborLoss

See Also:
  Constant Field Values

Constructor Detail

### SendInform

    public SendInform(java.lang.String propertiesFilename)

  Constructor.

Parameters:
  `propertiesFilename` - The name of the properties file. Can be null.

Method Detail

### init

    public void init()

### update

    public void update(java.util.Observable obs,
                       java.lang.Object ov)

  Implementing the Observer interface. Receiving the response from the Inform Pdu.

  Specified by:
    `update` in interface `java.util.Observer`
  Parameters:
    `obs` - the InformPdu variable
    `ov` - the varbind
  See Also:
    `InformPdu`, `varbind`, `SnmpConstants.SNMP_VAR_ENDOFMIBVIEW`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD